const list = [];

for (let i = 0; i < 50; i += 1) {
  list.push({
    key: i,
    name: '用户' + (i + 1),
    sex: ['男', '女'][i % 2],
    mobile: 13713713777 + i,
    email: `test_${i + 1}@test.com`,
    weixin: 'test',
    password: 'ISGMyneATSuhkiwz4BURBQ==',
    organization: '组织' + (i + 1),
    nickname:  '昵称' + (i + 1),
    updatedAt: new Date(`2017-07-${Math.floor(i / 2) + 1}`)
  });
}

export function getInstaller(params: any) {
  let ret = [...list];
  if (params.sorter) {
    const s = params.sorter.split('_');
    ret = ret.sort((prev, next) => {
      if (s[1] === 'descend') {
        return next[s[0]] - prev[s[0]];
      }
      return prev[s[0]] - next[s[0]];
    });
  }
  if (params.u_name) {
    ret = ret.filter(data => data.name.indexOf(params.u_name) > -1);
  }
  if (params.u_mobile) {
    ret = ret.filter(data => data.mobile.toString().indexOf(params.u_mobile) > -1);
  }
  return ret;
}

export function deleteInstaller(name: string): boolean {
  const idx = list.findIndex(w => w.name === name);
  if (idx !== -1) {
    list.splice(idx, 1);
    return true;
  }
  return false;
}
